diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index bbd03ca95..a15deeab6 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -604,7 +604,7 @@ def run_parallel_tests(url_client, servers_details, parallel_tests_lists,
                                                         ser['name'])
                     # Launch client url in browser
                     test_utils.launch_url_in_browser(
-                        driver_object, url_client, 60)
+                        driver_object, url_client, timeout=60)
 
                     # Add name for thread
                     thread_name = "parallel_tests" + ser['name']
@@ -847,10 +847,14 @@ if __name__ == '__main__':
                             client_url = app_starter_local.start_app()
 
                             if config.DEBUG:
+                                pgAdmin_wait_time = \
+                                    selenoid_config['pgAdmin_max_up_time']
                                 print('pgAdmin is launched with DEBUG=True, '
-                                      'hence sleeping for 50 seconds.',
+                                      'hence sleeping for %s seconds.',
+                                      pgAdmin_wait_time,
                                       file=sys.stderr)
-                                time.sleep(50)
+
+                                time.sleep(int(pgAdmin_wait_time))
 
                             # Running Parallel tests
                             if len(parallel_tests) > 0:
diff --git a/web/regression/test_config.json.in b/web/regression/test_config.json.in
index 4d6b41f69..7ed0847a2 100644
--- a/web/regression/test_config.json.in
+++ b/web/regression/test_config.json.in
@@ -85,6 +85,7 @@
   }],
   "selenoid_config": {
     "pgAdmin_default_server":"IP address of machine where source code is going to be executed",
+    "pgAdmin_max_up_time": 90,
     "max_parallel_sessions": "3",
     "selenoid_url": "http://<IP address of Selenoid Installed machine>:4444/wd/hub",
     "browsers_list":[
